ToleranceUpperLimit Example

Using Programming Languages other than VBA

Sub Example_ToleranceUpperLimit()
   ' This example creates an aligned dimension in model space and
   ' sets the tolerance limits using the ToleranceLowerLimit and
   ' ToleranceUpperLimit properties

	Dim dimObj As AcadDimAligned
	Dim newText As AcadTextStyle
	Dim point1(0 To 2) As Double, point2(0 To 2) As Double
	Dim location(0 To 2) As Double

	' Define the dimension
	point1(0) = 5: point1(1) = 5: point1(2) = 0
	point2(0) = 5.5: point2(1) = 5: point2(2) = 0
	location(0) = 5: location(1) = 7: location(2) = 0

	' Create an aligned dimension object in model space
	Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)

	' Turn on tolerance display
	dimObj.ToleranceDisplay = acTolSymmetrical

	ThisDrawing.Application.ZoomAll

	' Read and display the tolerance limits for the dimension
	MsgBox "The tolerance lower limit is set to: " & dimObj.ToleranceLowerLimit & vbCrLf & _
		 "The tolerance upper limit is set to: " & dimObj.ToleranceUpperLimit

	' Adjust the tolerance limits for this dimension
	dimObj.ToleranceLowerLimit = 0.0001
	dimObj.ToleranceUpperLimit = 0.005

	ThisDrawing.Regen acAllViewports

	' Read and display the tolerance limits for the dimension
	MsgBox "The tolerance lower limit is now set to: " & dimObj.ToleranceLowerLimit & vbCrLf & _
		 "The tolerance upper limit is now set to: " & dimObj.ToleranceUpperLimit

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.